Package ghidra.trace.database.guest

# Enum Class DBTraceObjectRegisterSupport

java.lang.Object
java.lang.Enum<DBTraceObjectRegisterSupport>
ghidra.trace.database.guest.DBTraceObjectRegisterSupport

All Implemented Interfaces:
  `Serializable`, `Comparable<DBTraceObjectRegisterSupport>`, `Constable`

public enum DBTraceObjectRegisterSupport extends Enum<DBTraceObjectRegisterSupport>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AddressSpace`
  `findRegisterOverlay(TraceObject object)`
  `protected AddressSpace`
  `findRegisterOverlay(TraceObjectValue objectValue)`
  `protected TraceMemorySpace`
  `getMemorySpace(TraceObject object, TraceLabelSymbol label)`
  `protected String`
  `getRegisterName(TraceObject registerObject)`
  `protected boolean`
  `isRegisterValue(TraceObjectValue objectValue)`
  `protected static <T> Iterable<T>`
  `it(Stream<T> stream)`
  `void`
  `onMappingAddedCheckTransfer(TraceGuestPlatformMappedRange mapped)`
  `void`
  `onMappingAddedCheckTransferMemoryMapped(TraceObject root, TraceGuestPlatformMappedRange mapped)`
  `protected void`
  `onMappingAddedCheckTransferRegisterObjectMemoryMapped(TraceObject registerObject, TraceGuestPlatformMappedRange mapped)`
  `void`
  `onSpaceAddedCheckTransfer(Trace trace, AddressSpace space)`
  `protected void`
  `onSpaceAddedCheckTransferObjectToPlatformRegister(TraceObject registerObject, TracePlatform platform, TraceMemorySpace mem)`
  `protected void`
  `onSpaceAddedCheckTransferToPlatformRegisters(TracePlatform platform, TraceObject regContainer, TraceMemorySpace mem)`
  `void`
  `onSymbolAddedCheckTransfer(TraceSymbol symbol)`
  `void`
  `onSymbolAddedCheckTransferToLabel(TraceLabelSymbol label, boolean isBigEndian)`
  `void`
  `onValueCreatedCheckTransfer(TraceObjectValue objectValue)`
  `void`
  `onValueCreatedTransfer(TraceObjectValue registerValue)`
  `protected void`
  `onValueCreatedTransferToPlatformRegister(TraceObjectValue registerValue, TracePlatform platform, String name, RegisterValueConverter rvc)`
  `void`
  `processEvent(TraceChangeRecord<?,?> event)`
  `protected void`
  `transferRegisterObjectToLabel(TraceObject registerObject, TraceLabelSymbol label, boolean isBigEndian)`
  `protected void`
  `transferRegisterValueToLabel(TraceObjectValue registerValue, TraceLabelSymbol label, byte[] value)`
  `protected void`
  `transferValueToPlatformRegister(TraceObjectValue registerValue, TracePlatform platform, TraceMemorySpace mem, Register register)`
  `static DBTraceObjectRegisterSupport`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBTraceObjectRegisterSupport[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final DBTraceObjectRegisterSupport INSTANCE

- ## Method Details

  - ### values

    public static DBTraceObjectRegisterSupport[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBTraceObjectRegisterSupport valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findRegisterOverlay

    protected AddressSpace findRegisterOverlay(TraceObject object)

  - ### findRegisterOverlay

    protected AddressSpace findRegisterOverlay(TraceObjectValue objectValue)

  - ### onValueCreatedTransferToPlatformRegister

    protected void onValueCreatedTransferToPlatformRegister(TraceObjectValue registerValue, TracePlatform platform, String name, RegisterValueConverter rvc) throws RegisterValueException
    Throws:
      `RegisterValueException`

  - ### transferValueToPlatformRegister

    protected void transferValueToPlatformRegister(TraceObjectValue registerValue, TracePlatform platform, TraceMemorySpace mem, Register register)

  - ### getRegisterName

    protected String getRegisterName(TraceObject registerObject)

  - ### onSpaceAddedCheckTransferObjectToPlatformRegister

    protected void onSpaceAddedCheckTransferObjectToPlatformRegister(TraceObject registerObject, TracePlatform platform, TraceMemorySpace mem)

  - ### onSpaceAddedCheckTransferToPlatformRegisters

    protected void onSpaceAddedCheckTransferToPlatformRegisters(TracePlatform platform, TraceObject regContainer, TraceMemorySpace mem)

  - ### getMemorySpace

    protected TraceMemorySpace getMemorySpace(TraceObject object, TraceLabelSymbol label)

  - ### transferRegisterValueToLabel

    protected void transferRegisterValueToLabel(TraceObjectValue registerValue, TraceLabelSymbol label, byte[] value)

  - ### it

    protected static <T> Iterable<T> it(Stream<T> stream)

  - ### transferRegisterObjectToLabel

    protected void transferRegisterObjectToLabel(TraceObject registerObject, TraceLabelSymbol label, boolean isBigEndian)

  - ### onValueCreatedTransfer

    public void onValueCreatedTransfer(TraceObjectValue registerValue) throws RegisterValueException
    Throws:
      `RegisterValueException`

  - ### isRegisterValue

    protected boolean isRegisterValue(TraceObjectValue objectValue)

  - ### onValueCreatedCheckTransfer

    public void onValueCreatedCheckTransfer(TraceObjectValue objectValue)

  - ### onSymbolAddedCheckTransferToLabel

    public void onSymbolAddedCheckTransferToLabel(TraceLabelSymbol label, boolean isBigEndian)

  - ### onSymbolAddedCheckTransfer

    public void onSymbolAddedCheckTransfer(TraceSymbol symbol)

  - ### onSpaceAddedCheckTransfer

    public void onSpaceAddedCheckTransfer(Trace trace, AddressSpace space)

  - ### onMappingAddedCheckTransferRegisterObjectMemoryMapped

    protected void onMappingAddedCheckTransferRegisterObjectMemoryMapped(TraceObject registerObject, TraceGuestPlatformMappedRange mapped)

  - ### onMappingAddedCheckTransferMemoryMapped

    public void onMappingAddedCheckTransferMemoryMapped(TraceObject root, TraceGuestPlatformMappedRange mapped)

  - ### onMappingAddedCheckTransfer

    public void onMappingAddedCheckTransfer(TraceGuestPlatformMappedRange mapped)

  - ### processEvent

    public void processEvent(TraceChangeRecord<?,?> event)